# Package

version       = "0.2.2"
author        = "Jonathan Bernard"
description   = "JDB Software's opinionated extensions and auth layer for Jester."
license       = "MIT"
srcDir        = "src"


# Dependencies

requires "nim >= 1.6.2"
requires @["bcrypt", "jester >= 0.5.0", "uuids"]

requires "https://git.jdb-software.com/jdb/nim-jwt-full.git >= 0.2.0"
requires "https://git.jdb-software.com/jdb/nim-namespaced-logging.git >= 0.3.0"

task unittest, "Runs the unit test suite.":
  exec "nim c -r test/runner"
